Name: librep
Version: 0.16.2
Release: alt2.1

Summary: An embeddable LISP environment
License: GPL
Group: Development/Other
Url: http://librep.sourceforge.net/

Source: %name-%version.tar.gz
Patch1: %name-0.14-rep-xgettext.patch

PreReq: /sbin/install-info

# Automatically added by buildreq on Mon Sep 23 2002
BuildRequires: gdbm-devel glibc-devel-static libgmp-devel libncurses-devel libreadline-devel

%description
This is a lightweight LISP environment for UNIX. It contains a LISP
interpreter, byte-code compiler and virtual machine. Applications may use the
LISP interpreter as an extension language, or it may be used for standalone
scripts.

Originally inspired by Emacs Lisp, the language dialect combines many of the
elisp features while trying to remove some of the main deficiencies, with
features from Common Lisp and Scheme.

%package devel
Summary: librep include files and link libraries
Group: Development/Other
Requires: %name = %version-%release

%description devel
Link libraries and C header files for librep development.

%prep
%setup -q
%patch1 -p1

%build
%ifarch %ix86
%define librep_platform i386-%_vendor-%_target_os
%else
%define librep_platform %_target_platform
%endif

%undefine __libtoolize
%configure --with-readline --with-extra-cflags=-fstrength-reduce
%make_build host_type=%librep_platform

%install
%make_build install host_type=%librep_platform DESTDIR=%buildroot

%post
%post_ldconfig
%install_info librep.info

%preun
%uninstall_info librep.info

%postun -p %postun_ldconfig

%files
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO HACKING TREE doc/*
%_bindir/rep
%_bindir/rep-remote
%_libdir/librep.so.*
%_datadir/rep
%dir %_libexecdir/rep
%_libexecdir/rep/%version
%_infodir/librep*

%files devel
%_bindir/rep-config
%_bindir/rep-xgettext
%_bindir/repdoc
%_libdir/librep.so
#%_libdir/librep.la
%_includedir/*
%_libexecdir/rep/%librep_platform
%_datadir/aclocal/rep.m4
%doc doc/*

%changelog
* Fri Dec 30 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.16.2-alt2.1
- Rebuilt with libreadline.so.5.

* Sat Dec 13 2003 Ott Alex <ott@altlinux.ru> 0.16.2-alt2
- Remove .la files

* Sun Apr 27 2003 Ott Alex <ott@altlinux.ru> 0.16.2-alt1
- New release

* Wed Nov 06 2002 AEN <aen@altlinux.ru> 0.16.1-alt2
- rebuilt with new libgdmb

* Fri Jul 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.16.1-alt1
- 0.16.1

* Wed Jul 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.16-alt1
- 0.16
- 0.15.1-exec.patch removed 
- buildreq updated 

* Fri Jan 11 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.15.2-alt1
- 0.15.2

* Mon Oct 22 2001 Konstantin Timoshenko <kt@altlinux.ru> 0.15.1-alt2
- fix build requires

* Tue Oct 16 2001 Konstantin Timoshenko <kt@altlinux.ru> 0.15.1-alt1
- 0.15.1

* Sat Aug 04 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.14-alt4
- Corrected incorrectly packaged and missing files

* Thu Aug 02 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.14-alt3
- Fixed %_bindir/rep-xgettext dependence.
- Specfile cleanup.

* Thu Aug 02 2001 Mikhail Zabaluev <mhz@altlinux.ru> 0.14-alt2
- set architecture to i386 for ix86 family
- filelist fixes

* Mon Jul 16 2001 AEN <aen@logic.ru> 0.14-alt1
- new version

* Tue Apr 24 2001 Kostya Timoshenko <kt@altlinux.ru> 0.13.6-alt1
- 0.13.6

* Mon Jan  8 2001 Kostya Timoshenko <kt@petr.kz>
- 0.13.4

* Wed Dec 27 2000 Kostya Timoshenko <kt@petr.kz>
- Build for RE

* Fri Dec  8 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.3-1mdk
- 0.13.3

* Mon Nov  6 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.2-2mdk
- rebuild for new libstdc++

* Fri Oct 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.2-1mdk
- 0.13.2

* Fri Sep 29 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13.1-1mdk
- 0.13.1

* Fri Sep 22 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.13-1mdk
- 0.13
- added buildprereq/buildrequires: texinfo

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.12.4-4mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-3mdk
- force version dependencies
- remove Packager

* Thu Jul 27 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-2mdk
- rebuild with new rpm

* Fri Jul 21 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.4-1mdk
- 0.12.4

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-3mdk
- rebuild for directory changes

* Thu Jul 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-2mdk
- fix bad preun

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.3-1mdk
- 0.12.3
- more macroization

* Sun Jul  9 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.12.2-1mdk
- 0.12.2
- added --with-readline
- many specfile cleanups
- macroization
- removed patch to compile with gmp 3.x

* Sat Jun 24 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.12.1-1mdk
- 0.12.1
- changed files from _host to _target_cpu (thanks Chmouel)

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.11.3-2mdk
- build with libgmp 3.0.1
- include patch to compile with gmp 3.x

* Fri Apr 14 2000 Vincent Danen <vdanen@linux-mandrake.com>
- fix group
- specfile fixes, should work with helixcode for gnome
- 0.11.3

* Sun Mar 19 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.11.1

* Sat Mar 11 2000 Vincent Danen <vdanen@linux-mandrake.com>
- specfile cleanups
- 0.11

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sun Jan 30 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
